Listar cartões
curl --request GET \
--url https://sandbox.4seletpay.com.br/api/v1/clients/{clientCode}/cards \
--header 'Authorization: Bearer <token>' \
--header 'account: <account>'import requests
url = "https://sandbox.4seletpay.com.br/api/v1/clients/{clientCode}/cards"
headers = {
"account": "<account>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {account: '<account>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox.4seletpay.com.br/api/v1/clients/{clientCode}/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mensagem": "Cartões listados com sucesso.",
"erro": false,
"mensagenserro": [],
"codigoretorno": 200,
"id": "00000000-0000-0000-0000-000000000000",
"data": {
"cards": [
{
"id": "9b2f5c8e-3a1d-4f7b-8c6e-2d9a1b4c5e6f",
"card_token": "9b2f5c8e-3a1d-4f7b-8c6e-2d9a1b4c5e6f",
"first_six_digits": "542501",
"last_four_digits": "8229",
"brand": "amex",
"holder_name": "Tony Stark",
"exp_month": 1,
"exp_year": 2030,
"type": "credit",
"status": "active",
"tokenization_status": "tokenized",
"created_at": "2026-03-28T22:09:43-03:00",
"updated_at": "2026-03-28T22:09:43-03:00"
},
{
"id": "1a7d3f90-6b2c-4e18-9a5f-7c8e2d1b4a3c",
"card_token": "1a7d3f90-6b2c-4e18-9a5f-7c8e2d1b4a3c",
"first_six_digits": "411193",
"last_four_digits": "6203",
"brand": "visa",
"holder_name": "Tony Stark",
"exp_month": 1,
"exp_year": 2030,
"type": "credit",
"status": "active",
"tokenization_status": "tokenized",
"created_at": "2026-03-29T22:09:43-03:00",
"updated_at": "2026-03-29T22:09:43-03:00"
}
]
}
}{
"mensagem": "Unauthenticated.",
"erro": true,
"mensagenserro": [],
"codigoretorno": 401,
"id": "00000000-0000-0000-0000-000000000000",
"data": []
}{
"mensagem": "The charge code does not match any charge",
"erro": true,
"mensagenserro": [],
"codigoretorno": 404,
"id": "00000000-0000-0000-0000-000000000000",
"data": []
}Cartões
Listar Cartões
Retorna todos os cartões salvos do cliente, do mais recente para o mais antigo, no campo data.cards. O número completo (PAN) e o CVV nunca são retornados. Requer o header account com o código da conta.
GET
/
v1
/
clients
/
{clientCode}
/
cards
Listar cartões
Requer o header
account com o código da conta. Retorna todos os cartões salvos do cliente, do mais recente para o mais antigo, no campo data.cards.Authorizations
Token JWT obtido via POST /v1/login. Envie no header Authorization: Bearer <token>.
Headers
Código da conta à qual a operação se aplica
Example:
"acc_abc123xyz"
Path Parameters
Código único do cliente dono do cartão
Example:
"cli_abc123"
